Subject: bug#13321: 24.3.0.50; Gmail error when replying from Gnus to github

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 22 Feb 2013 18:34:34 +0900

[email-masked] wrote:
> Katsumi Yamaoka <[email-masked]> writes:
[...]
>> I mean, if you perform a wide reply using the `F' or
>> the `S W' command to a mail like the following:
>>
>> From: [email-masked]
>> To: [email-masked]
>> Cc: [email-masked]
>> Reply-To: [email-masked]
>>
>> The old one will compose a draft as follows:
>>
>> To: [email-masked]
>> Cc: [email-masked]
>>
>> But the present one does:
>>
>> To: [email-masked]
>> Cc: [email-masked], [email-masked]
>>
>> This is much better for a wide reply, isn't it?
[...]
>> Is your problem that the From address is invalid?

> Yes.

>> If so, if there is a valid Reply-To header, you can use R rather than
>> F.

> Anyway even when hitting "F" this shouldn't happen.

Please let me say that a wide reply doesn't contain the author
of an original mail in the recipient list is a bug.  To exclude
an invalid address from a wide reply is not a feature; that is
a rare exception that the poison is efficacious.  Please imagine,
a wide reply to your mail doesn't go to you only:

(You send a mail)

From: Thierry Volpiatto
To: emacs-devel
Cc: Lars
Reply-To: emacs-devel

(I reply to your mail)

-> From: Katsumi Yamaoka
   To: emacs-devel
   Cc: Lars
   Reply-To: emacs-devel

(You reply to my reply that you happen to find in Gmane)

-> From: Thierry Volpiatto
   To: emacs-devel
   Cc: Lars
   Reply-To: emacs-devel

(I don't notice it)

Though the emacs-devel list doesn't add Reply-To, not a few lists
do it.  I don't think that GitHub doesn't use a valid address in
the From header is a bad manner.  But it should have a valid
Reply-To if it allows a mail reply, or should have something like
a link to a web form.

>> Otherwise, feel free to forward an example mail to me.
> Will (re)send in next post.

Have you sent it already?  If so, it may be delayed or...
Anyway I don't need it now, maybe.

> Here a patch that fix the problem, please review, I am not familiar with
> all these mails headers.

Unfortunately it's a regression. :(

> Note that the second when clause is not needed when setting author
> before, and don't corrupt further the "to" header when wide is not used.

> Also my english is not very good, but I don't understand your comments,
> please fix it (I leave long lines to see better).

Sorry for my further poor English.

[...]
> -      ;; [...]since Reply-To address may be a list address a mailing
> -      ;; list server added.

I omitted a relative pronoun in front of "a mailing list server".
Though I don't know whether it is barbarous, it is taught in Japan's
school. ;-p

Regards,